Trying to download the" AXS mobile ID" app on a Moto E

My Moto E is app version 2.2.1.2403 and my Republic app shows my phone is “up tp date”. I got the message at the Play store “app incompatible with this device”. Is there anything to be done or does this AXS app require a newer phone?

According to the Google Play Store, the AXS Tickets app requires Android 5.0 and up. If you have a 1st generation Moto E, you may still be using Android 4.4.4.

How can I find out which Android OS version is on my device?

  1. Open your device’s Settings.
  2. Tap About Phone or About Device.
  3. Tap Android Version to display your version information.
2 Likes

Thank you! Yes, the Moto E phone is using Android 4.4.4 so I checked for a system update but the message says that the system is “up to date”. So my conclusion is that I need a new phone, is that right?

So…If it were me I would get a new phone if you really need this app. Now comes the conditional “but if” answer. There was an Android 5.1 update for the Moto E 1st gen. It wasn’t automatically pushed out and there are a number of things you need to do to get it, assuming it’s even still available. The other thing to consider is that the Moto E 1st gen is a 2G/3G Sprint network phone. Sprint was purchased by T-Mobile and the plan is to shut down Sprint’s 2G/3G network on Jan 1, 2022. So even if you go through all the hoops and you are able to update the phone with Android 5.1, you only have a couple months to use it before the Sprint 2G/3G shutdown renders it useless (assuming that the FCC doesn’t step in and postpone the shutdown). So, the instructions for updating the Moto E 1st gen to Android 5.1 (assuming you still can) can be found at:

Once again, if it were me I would get a new phone. The Moto E 1st gen wasn’t a very good phone to begin with. I had one, and I don’t miss it.

7 Likes

Thanks so much for all this information. I appreciate the time you took to respond quickly and in detail. Will definitely get a new phone. It’s my husband’s phone and he bought season tickets that are only accessible on the AXS app, so he needs a new phone for sure. Thanks again for your help!

2 Likes
Message an
Expert customer